/*
 * Copyright © 2018-2019 Koherence, LLC (www.koherence.com).
 * All Rights Reserved.
 * 
 * This file is part of the Entangle ATSC 3.0 Base Stack.
 *
 * The Entangle ATSC 3.0 Base Stack is free software: you can redistribute it 
 * and/or modify it under the terms of the GNU Affero General Public License 
 * as published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 *
 * The Entangle ATSC 3.0 Base Stack is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License 
 * along with the Entangle ATSC 3.0 Base Stack. If not, see 
 * <https://www.gnu.org/licenses/>.
 */

#ifndef LIBENUTILS_CRCUTILS_H
#define LIBENUTILS_CRCUTILS_H

uint32_t
ENUtils_CalcCRC32(const uint8_t *pBytes, uint32_t nBytes);

uint32_t
ENUtils_CalcCRC32Append(uint32_t crc, const uint8_t *pBytes, uint32_t nBytes);

uint32_t
ENUtils_CalcCRC32LSBAppend(uint32_t crc, const uint8_t *pBytes, 
    uint32_t nBytes);

uint32_t
ENUtils_CalcCRC32LSB(const uint8_t *pBytes, uint32_t nBytes);

#endif
