/*
 * Copyright © 2018-2020 Koherence, LLC (www.koherence.com).
 * All Rights Reserved.
 *
 * This file is part of the Entangle ATSC 3.0 Base Stack.
 *
 * The Entangle ATSC 3.0 Base Stack is free software: you can redistribute it 
 * and/or modify it under the terms of the GNU Affero General Public License 
 * as published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 *
 * The Entangle ATSC 3.0 Base Stack is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License 
 * along with the Entangle ATSC 3.0 Base Stack. If not, see 
 * <https://www.gnu.org/licenses/>.
 */

#ifndef LIBENUTILS_DEFS_MACROS_H
#define LIBENUTILS_DEFS_MACROS_H

#define MAX(x, y) ((x > y) ? x : y)
#define MIN(x, y) ((x < y) ? x : y)
#define numof(x) (sizeof(x) / sizeof(x[0]))
#define numcharsin(x) (sizeof(x) - 1)
#define sizeof_member(type, member) (sizeof(((type *)0)->member))

#endif
