#include "config.h"

#define _GNU_SOURCE

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <pthread.h>
#include <unistd.h>
#include <assert.h>
#include <sys/syscall.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <sys/errno.h>

#include <libendebug/libendebug.h>

#include "libenutils_defs.h"
#include "libenutils.h"

int32_t
ENUtils_SetThreadName(pthread_t thread, char *pName)
{
    int32_t ret = 0;

    if (pthread_setname_np(thread, pName))
    {
        ret = 1;
    }

    return ret;
}
